// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AICS32/samples/regs/perform.c $
// $Rev: 52043 $
// $Date: 2022-11-22 10:24:15 -0600 (Tue, 22 Nov 2022) $

// 16AICS32: Sample Application: source file

#include "main.h"



//*****************************************************************************
static void _dump_everything(int fd)
{
	os_id_host();
	printf("\n");
	os_id_driver(aics32_open, aics32_read, aics32_close);
	printf("\n");
	aics32_id_device(fd, -1, 1);
	printf("\n");
	gsc_reg_plx9080_list_pci(fd, aics32_reg_read);
	printf("\n");
	gsc_reg_plx9080_list_plx(fd, aics32_reg_read);
	printf("\n");
	aics32_reg_list(fd, 1);
}



//*****************************************************************************
static void _dump_gsc(int fd)
{
	aics32_reg_list(fd, 0);
}



//*****************************************************************************
static void _dump_gsc_detail(int fd)
{
	aics32_reg_list(fd, 1);
}



//*****************************************************************************
static void _dump_pci(int fd)
{
	gsc_reg_plx9080_list_pci(fd, aics32_reg_read);
}



//*****************************************************************************
static void _dump_plx(int fd)
{
	gsc_reg_plx9080_list_plx(fd, aics32_reg_read);
}



//*****************************************************************************
static void _id_device(int fd)
{
	aics32_id_device(fd, -1, 1);
}



//*****************************************************************************
static void _id_driver(int fd)
{
	os_id_driver(aics32_open, aics32_read, aics32_close);
}



//*****************************************************************************
static void _id_host(int fd)
{
	os_id_host();
}



//*****************************************************************************
int perform_tests(int fd)
{
	static const menu_item_t	list[]	=
	{
		// name								desc	func
		{ "Dump Everything",				NULL,	_dump_everything	},
		{ "Host OS Identification",			NULL,	_id_host			},
		{ "Driver Identification",			NULL,	_id_driver			},
		{ "Device Identification",			NULL,	_id_device			},
		{ "PCI Register Dump",				NULL,	_dump_pci			},
		{ "PLX Register Dump",				NULL,	_dump_plx			},
		{ "GSC Register Dump",				NULL,	_dump_gsc			},
		{ "GSC Register Detail Dump",		NULL,	_dump_gsc_detail	},
		{ "Edit GSC Register By Name",		NULL,	reg_mod_by_name		},
		{ "Edit GSC Register By Offset",	NULL,	reg_mod_by_offset	},
		{ NULL,								NULL,	NULL				}
	};

	static const menu_t	menu	=
	{
		/* title	*/	"Main Menu",
		/* list		*/	list
	};

	printf("\n\n");
	printf("Register Access Application\n");
	menu_call(fd, &menu);
	return(0);
}



