// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AICS32/samples/signals/perform.c $
// $Rev: 52046 $
// $Date: 2022-11-22 10:45:46 -0600 (Tue, 22 Nov 2022) $

// 16AICS32: Sample Application: source file

#include "main.h"



//*****************************************************************************
int perform_tests(const args_t* args)
{
	char	buf[64];
	int		errs	= 0;
	s32		sps		= 0;

	gsc_label("Sync Output");
	printf("\n");

	gsc_label_level_inc();

	errs	+= aics32_initialize		(args->fd, -1, 1);
	errs	+= aics32_ai_mode			(args->fd, -1, 1, AICS32_AI_MODE_DIFF,	NULL);
	errs	+= aics32_ext_sync			(args->fd, -1, 1, AICS32_EXT_SYNC_ENABLE,	NULL);
	errs	+= aics32_ai_clk_src		(args->fd, -1, 1, AICS32_AI_CLK_SRC_RAG,	NULL);
	errs	+= aics32_rag_nrate			(args->fd, -1, 1, 24000,					NULL);
	errs	+= aics32_rag_enable		(args->fd, -1, 1, AICS32_GEN_ENABLE_YES,	NULL);
	errs	+= aics32_fsamp_ai_report	(args->fd, -1, -1, 0, &sps);

	gsc_label_level_dec();

	// Wait a bit.
	sprintf(buf, "Waiting (%d secs)", (int) args->seconds);
	gsc_label(buf);
	os_sleep_ms(args->seconds * 1000);
	printf("Done\n");

	errs	+= aics32_initialize		(args->fd, -1, 1);
	return(errs);
}



