// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AICS32/utils/util_excitation_mask_set.c $
// $Rev: 44854 $
// $Date: 2019-05-10 15:32:59 -0500 (Fri, 10 May 2019) $

// 16AICS32: Utilities: source file

#include "main.h"



/******************************************************************************
*
*	Function:	aics32_excitation_mask_set
*
*	Purpose:
*
*		Provide a visual wrapper for the AICS32_IOCTL_EXCITATION_MASK_SET service.
*
*	Arguments:
*
*		fd		Use this handle to access the device.
*
*		index	The index of the device to access. Ignore if < 0.
*				This is for display purposes only.
*
*		verbose	Work verbosely?
*
*		set		This is the value to apply.
*
*	Returned:
*
*		>= 0	The number of errors encounterred.
*
******************************************************************************/

int aics32_excitation_mask_set(int fd, int index, int verbose, s32 set)
{
	int	errs;
	int	ret;

	if (verbose)
		gsc_label_index("Excitation Mask Set", index);

	ret		= aics32_ioctl(fd, AICS32_IOCTL_EXCITATION_MASK_SET, &set);
	errs	= ret ? 1 : 0;

	if (verbose)
		printf("%s  (0x%08lX)\n", errs ? "FAIL <---" : "PASS", (long) set);

	return(errs);
}


